aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-net-dns-resolver-programmable
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:27:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:27:22 +0000
commitc31781de880bb08a16795ccfc4011c02eaf2539e (patch)
tree418d63399aadf9c2437a8e26db56d59f90dda769 /main/perl-net-dns-resolver-programmable
parent92f212aec5ea45bacb84747e85c08301d870e8eb (diff)
downloadaports-c31781de880bb08a16795ccfc4011c02eaf2539e.tar.gz
aports-c31781de880bb08a16795ccfc4011c02eaf2539e.tar.bz2
aports-c31781de880bb08a16795ccfc4011c02eaf2539e.tar.xz
main/perl-net-dns-resolver-programmable: new aport
programmable DNS resolver perl class for offline emulation of DNS http://search.cpan.org/search?query=Net::DNS::Resolver::Programmable&mode=all needed by perl-mail-spf which is already in main
Diffstat (limited to 'main/perl-net-dns-resolver-programmable')
-rw-r--r--main/perl-net-dns-resolver-programmable/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/main/perl-net-dns-resolver-programmable/APKBUILD b/main/perl-net-dns-resolver-programmable/APKBUILD
new file mode 100644
index 0000000000..3e60a6aa1a
--- /dev/null
+++ b/main/perl-net-dns-resolver-programmable/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-net-dns-resolver-programmable
+pkgver=0.003
+pkgrel=0
+pkgdesc="programmable DNS resolver perl class for offline emulation of DNS"
+url="http://search.cpan.org/search?query=Net::DNS::Resolver::Programmable&mode=all"
+arch="noarch"
+license="Perl Artistic"
+depends="perl perl-net-dns"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/Net-DNS-Resolver-Programmable-v$pkgver.tar.gz"
+
+_builddir="$srcdir"/Net-DNS-Resolver-Programmable-v$pkgver
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ find "$pkgdir" -name '.packlist' -o -name 'perllocal.pod' -delete
+}
+
+md5sums="8d44bf331d6115e7fb4ea21f6cf4b96b Net-DNS-Resolver-Programmable-v0.003.tar.gz"